- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# utm_dns_host – create, update or destroy dns entry in Sophos UTM

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create, update or destroy a dns entry in SOPHOS UTM.

- This module needs to have the REST Ability of the UTM to be activated.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address - | Default: "0.0.0.0" | The IPV4 Address of the entry. Can be left empty for automatic resolving.
address6 - | Default: "::" | The IPV6 Address of the entry. Can be left empty for automatic resolving.
comment - |  | An optional comment to add to the dns host object
headers dictionary |  | A dictionary of additional headers to be sent to POST and PUT requests. Is needed for some modules
hostname - |  | The hostname for the dns host object
interface - |  | The reference name of the interface to use. If not provided the default interface will be used
name - / required |  | The name of the object. Will be used to identify the entry
resolved boolean | Choices: no ← yes | whether the hostname's ipv4 address is already resolved or not
resolved6 boolean | Choices: no ← yes | whether the hostname's ipv6 address is already resolved or not
state string | Choices: absent present ← | The desired state of the object. `present` will create or update an object `absent` will delete an object if it was present
timeout - | Default: 0 | the timeout for the utm to resolve the ip address for the hostname again
utm_host string / required |  | The REST Endpoint of the Sophos UTM.
utm_port integer | Default: 4444 | The port of the REST interface.
utm_protocol string | Choices: http https ← | The protocol of the REST Endpoint.
utm_token string / required |  | The token used to identify at the REST-API. See https://www.sophos.com/en-us/medialibrary/PDFs/documentation/UTMonAWS/Sophos-UTM-RESTful-API.pdf?la=en, Chapter 2.4.2.
validate_certs boolean | Choices: no yes ← | Whether the REST interface's ssl certificate should be verified or not.

## Examples

    - name: Create UTM dns host entry
      utm_dns_host:
        utm_host: sophos.host.name
        utm_token: abcdefghijklmno1234
        name: TestDNSEntry
        hostname: testentry.some.tld
        state: present

    - name: Remove UTM dns host entry
      utm_dns_host:
        utm_host: sophos.host.name
        utm_token: abcdefghijklmno1234
        name: TestDNSEntry
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
result complex | success | The utm object that was created
| _locked boolean |  | Whether or not the object is currently locked
| _ref string |  | The reference name of the object
| address string |  | The ipv4 address of the object
| address6 string |  | The ipv6 address of the object
| comment string |  | The comment string
| hostname string |  | The hostname of the object
| interface string |  | The reference name of the interface the object is associated with
| name string |  | The name of the object
| resolved boolean |  | Whether the ipv4 address is resolved or not
| resolved6 boolean |  | Whether the ipv6 address is resolved or not
| timeout integer |  | The timeout until a new resolving will be attempted

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Johannes Brunswicker (@MatrixCrawler)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.